#!/bin/bash
###########################################################
### EXTRACTION OF SINGLE LINES USING "GREP" COMMAND 
### EXTRACTION OF TIME-SERIES OF VERTICAL PROFILES
### (Sorting of profiles in ascending order of heights)
### Last modified: DBS (October 30, 2019).
###########################################################

	rm -f PS.txt SHFL.txt LHFL.txt QV_S.txt T_G.txt
	rm -f T2M.txt TD2M.txt TMIN2M.txt TMAX2M.txt PABS.txt
	rm -f SOBT.txt SOBS.txt CLCH.txt CLCM.txt CLCL.txt
	rm -f CLCT.txt TOTAL.txt SWDIRS.txt SWDIFDS.txt SWDIFUS.txt
	grep PS $1 	> PS.txt
	grep SHFL $1	> SHFL.txt
	grep LHFL $1	> LHFL.txt
	grep QV_S $1	> QV_S.txt
	grep T_G $1	> T_G.txt
	grep T2M $1	> T2M.txt
	grep TD2M $1	> TD2M.txt
	grep TMIN2M $1	> TMIN2M.txt
	grep TMAX2M $1	> TMAX2M.txt
	grep SOBT $1	> SOBT.txt
	grep SOBS $1	> SOBS.txt
	grep CLCH $1	> CLCH.txt
	grep CLCM $1	> CLCM.txt
	grep CLCL $1	> CLCL.txt
	grep CLCT $1	> CLCT.txt
	grep TOTAL $1	> TOTAL.txt
	grep SWDIRS $1  > SWDIRS.txt
	grep SWDIFDS $1 > SWDIFDS.txt
	grep SWDIFUS $1 > SWDIFUS.txt
	grep PABS $1 > PABS.txt

	ln -f -s $1 SAMPLE-METEOGRAM

	./meteogram-surface.x
	./reverse-profiles.x

	mv OUTPUT-PROFILE.dat $2
	mv OUTPUT-MABL.dat $3

	rm -f INPUT-PROFILE.dat SAMPLE-METEOGRAM *.txt 
		
